import { OnInit, EventEmitter } from '@angular/core';
import { CountryISO } from '../data/country-iso.enum';
import { SearchCountryField } from '../data/searchCountryField.enum';
import { PhoneNumberFormat } from '../data/phoneNumberFormat.enum';
import { Country, InputValue } from '../models/country';
import * as i0 from "@angular/core";
export declare class NgxIntlTelephoneInputComponent implements OnInit {
    cssClass: string;
    preferredCountries: (CountryISO)[];
    onlyCountries: (CountryISO)[];
    enableAutoCountrySelect: boolean;
    enablePlaceholder: boolean;
    customPlaceholder: string | null;
    numberFormat: PhoneNumberFormat;
    searchCountryFlag: boolean;
    searchCountryField: SearchCountryField;
    searchCountryPlaceholder: string;
    maxLength: number | null;
    selectFirstCountry: boolean;
    phoneValidation: boolean;
    inputId: string;
    selectedCountryISO: CountryISO | null;
    separateDialCode: boolean;
    onChange: EventEmitter<InputValue>;
    allCountries: (Country)[];
    selectedCountry: Country;
    countriesToShow: (Country)[];
    preferredCountriesList: (Country)[];
    searchFilter: string;
    scrollTimeout: any;
    phoneNumber: any;
    isFocused: boolean;
    isInputValid: boolean;
    isDropdownOpen: boolean;
    constructor();
    ngOnInit(): void;
    toggleDropdown(): void;
    generateCountryData(): void;
    getDefaultCountry(): Country;
    phoneValueChnaged(event: any): void;
    private formatIntelNumber;
    formatPhoneNumber(): void;
    searchFilterChnaged(event: any): void;
    private findCountryByIso2;
    setDefaultSelectedCountry(): void;
    setCountriesToShow(): void;
    setPreferredCountries(): void;
    onCountrySelect(country: any): void;
    private getNumberExample;
    getPlaceHolder(): string;
    getDropdownIconPath(): string;
    onPhoneInputFocus(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxIntlTelephoneInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxIntlTelephoneInputComponent, "intl-telephone-input", never, { "cssClass": "cssClass"; "preferredCountries": "preferredCountries"; "onlyCountries": "onlyCountries"; "enableAutoCountrySelect": "enableAutoCountrySelect"; "enablePlaceholder": "enablePlaceholder"; "customPlaceholder": "customPlaceholder"; "numberFormat": "numberFormat"; "searchCountryFlag": "searchCountryFlag"; "searchCountryField": "searchCountryField"; "searchCountryPlaceholder": "searchCountryPlaceholder"; "maxLength": "maxLength"; "selectFirstCountry": "selectFirstCountry"; "phoneValidation": "phoneValidation"; "inputId": "inputId"; "selectedCountryISO": "selectedCountryISO"; "separateDialCode": "separateDialCode"; }, { "onChange": "onChange"; }, never, never, false>;
}
